Subject: Re: [PATCH] Don't fetch objects that exist in the local repository

From: Nick Hengeveld <[email-masked]>
Date: Fri, 7 Oct 2005 16:08:56 -0700

On Sat, Oct 08, 2005 at 12:50:53AM +0200, Johannes Schindelin wrote:

> > Be sure not to fetch objects that already exist in the local repository.
> 
> Really? I seem to recall a dispute I had with Linus that this is 
> unacceptable. He seems worried about incomplete fetches.

This patch just moved an existing check from the process queue loop to the
appropriate places in transport-specific code to prevent the transport
from transferring an object that appeared in the local repository after
it was prefetched (eg. via a pack), and to make sure that all objects that
were prefetched are subsequently fetched so the transport can perform the
appropriate cleanup.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.